Bug 265513 - devel/remake: Fix build on armv7
Summary: devel/remake: Fix build on armv7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: Normal Affects Many People
Assignee: Nuno Teixeira
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2022-07-30 04:38 UTC by Robert Clausecker
Modified: 2022-08-16 12:31 UTC (History)
2 users (show)

See Also:
fuz: maintainer-feedback-
eduardo: merge-quarterly+


Attachments
devel/remake: fix build on armv7 (1.96 KB, patch)
2022-07-30 04:38 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2022-07-30 04:38:41 UTC
Created attachment 235554 [details]
devel/remake: fix build on armv7

For historical reasons, the code base has a hard coded check
that prevents the use of POSIX functions on ARM platforms.
Disable that check to make the build succeed.

Tested with Poudriere on armv7 arm64 FreeBSD 13.1.
Please MFH if possible.
Comment 1 Robert Clausecker 2022-08-14 06:28:47 UTC
Comment on attachment 235554 [details]
devel/remake: fix build on armv7

maintainer timeout
Comment 2 Robert Clausecker 2022-08-14 06:28:57 UTC
maintainer timeout
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2022-08-15 01:42:30 UTC
^Triage: Reset assignee, maintainer timeout. Open to take
Comment 4 commit-hook freebsd_committer 2022-08-16 12:17:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b85c50721320f4f43669b071551adff77eeee182

commit b85c50721320f4f43669b071551adff77eeee182
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2022-08-16 12:12:28 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2022-08-16 12:16:12 +0000

    devel/remake: Fix build on armv7

     - For historical reasons, the code base has a hard coded check
       that prevents the use of POSIX functions on ARM platforms.
       Disable that check to make the build succeed.

    PR:             265513
    Approved by:    maintainer timeout, >2 weeks

 devel/remake/Makefile                        |  1 +
 devel/remake/files/patch-src_make.h (new)    | 14 ++++++++++++++
 devel/remake/files/patch-src_makeint.h (new) | 14 ++++++++++++++
 3 files changed, 29 insertions(+)
Comment 5 Nuno Teixeira freebsd_committer 2022-08-16 12:22:37 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2022-08-16 12:31:04 UTC
A commit in branch 2022Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0540a17b70e0758802f4e635efdba067250e743f

commit 0540a17b70e0758802f4e635efdba067250e743f
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2022-08-16 12:12:28 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2022-08-16 12:29:56 +0000

    devel/remake: Fix build on armv7

     - For historical reasons, the code base has a hard coded check
       that prevents the use of POSIX functions on ARM platforms.
       Disable that check to make the build succeed.

    PR:             265513
    Approved by:    maintainer timeout, >2 weeks

    (cherry picked from commit b85c50721320f4f43669b071551adff77eeee182)

 devel/remake/Makefile                        |  1 +
 devel/remake/files/patch-src_make.h (new)    | 14 ++++++++++++++
 devel/remake/files/patch-src_makeint.h (new) | 14 ++++++++++++++
 3 files changed, 29 insertions(+)